Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api
[Java] Interface Transformer

    public interface Transformer

A `Transformer` transforms objects of type.

Implementations are free to return new objects or mutate the incoming value.

Parameters:
  `` - The type the value is transformed to.
  `` - The type of the value to be transformed.

Method Summary
`R` | `transform(I original)` Transforms the given object, and returns the transformed value.

Method Detail

### transform

    public R transform(I original)

  Transforms the given object, and returns the transformed value.
  Parameters:
    `original` - The object to transform.
  Returns:
    The transformed object.

Gradle API 1.10